MetaTrader 4 Build 600 with Updated MQL4 Language and Market of Applications Released - page 22

Max
58
Max  

my mt4 is updated to Build 600, but now the backtesting does not work!

I checked the folder Tester/Hystory and is it is empty, even after I made several attempts to download historical data from History Centre .

It seems that something goes wrong during the donwload OR during the history files generation process.

Please, could you fix the problem or provide instructions to overcome the issue?

Asd
7
Asd  

Why such a long translations do, it does not make sense, just an annoyance. (Polish.lng)

Alain Verleyen
39543
Alain Verleyen  
dudulalah:

http://mechanicalforex.com/2014/02/dealing-with-the-latest-mt4-build-600.html?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed%3A+MechanicalForex+%28Mechanical+Forex%29

"I continue to be amazed by the ability of the Metaquotes company to steam roll their users with their automatic updates that introduce massive changes that should only belong within an Alpha release. This week the MetaTrader 4 platform has been updated to build 600+ on many brokers – via an automatic process that does not even ask the user – breaking a lot of previous functionality and making a lot of indicator and expert advisor implementations completely useless. Imagine if you’re trading something live and suddenly it gets completely killed by a platform update (that you didn’t even ask for) that simply changes the entire way in which the programming language functions and interacts with other programs. Within this post I will share with you some tips to deal with the latest Metaquotes joke on Forex traders, giving you some information that will hopefully help you avoid any chaos in the short term and eventually migrate your implementations in the longer term."

Automatic updates is now the rules for almost all software, do you have an idea why ?
reza rahmad
3167
reza rahmad  
i cannot connect with proxy after update
euclid
37
euclid  
cody_r:
Despite one moderator's opinion that only brokers are clients of Metaquotes, not traders or developers, (a view I reject), Metaquotes is, in fact, solely responsible for the financial and productivity losses of all of these groups.



I disagree. Brokers need to shoulder the responsibility. The Metaquotes upgrade procedure has problems, but it is manageable if you are prepared for it. Brokers have a choice to inform and prepare their clients for upgrades or not. Metaquotes doesn't have the traders' contact details to do this. Likewise some developers were prepared with updated versions of their products in advance of this upgrade. Others, not so much...

Ian Venner
2397
Ian Venner  

I think MQ shot themselves in the foot by implementing mandatory updates. The larger tech corporations such as Microsoft and Adobe give the user such options as:

1) Ask my permission before downloading new updates.

2) Download new updates but do not install without my permission.

2) Allow automatic updates.

They do this for a reason, to avoid lawsuits.

szgy74
247
szgy74  
euclid:


The Metaquotes upgrade procedure has problems, but it is manageable if you are prepared for it. Brokers have a choice to inform and prepare their clients for upgrades or not. Metaquotes doesn't have the traders' contact details to do this. Likewise some developers were prepared with updated versions of their products in advance of this upgrade. Others, not so much...

MQ can distribute all kinds of their content in the terminal on several tabs it is very unfortunate that they can't do this only with the info on updates.

Who cares for their marketing stuffs when the main functionality has several problems? They should not have force the users to pay the price of debugging.

Normal company does not provide info on what will not work in the info after release.


Prepare for upgrade practically means suspend trading until new bugs are fixed.

szgy74
247
szgy74  
angevoyageur:
Automatic updates is now the rules for almost all software, do you have an idea why ?


read more than the first line.

perhaps after using these softwares for a time you will meet several notices, forms and questions to agree before the

automatic updates are allowed, performed, etc.

Ubzen
5299
Ubzen  
euclid:I disagree. Brokers need to shoulder the responsibility. The Metaquotes upgrade procedure has problems, but it is manageable if you are prepared for it. Brokers have a choice to inform and prepare their clients for upgrades or not. Metaquotes doesn't have the traders' contact details to do this. Likewise some developers were prepared with updated versions of their products in advance of this upgrade. Others, not so much...

Amen to that brother.

  • People would be complaining about how much money they've lost even if someone told them that the mt4-platform would be updating 20-years from now.
  • Lets face it meta-trader4 is quite old technology wise [ counting 2005->2014 inclusive ] thats yep 10-years old.
  • I wonder what people would be saying if the Warning didn't Echo since list October. But rather just update to Built_600 one fine Feb morning.
  • The traders aren't the clients of meta-quotes ... the brokers are the client of meta-quotes ... the trader is the client of the broker.
  • The brokers pay for the platform so that their clients can utilize it Free-Of-Charge. Sue Meta-Quotes = Non-Sense, Sue the Brokers Instead.
  • Most brokers carry multiple platforms ... Why not utilize one of the many other platforms that the broker offer?
  • If someone answer is I cannot stop trading because I'm so dependent upon mt4, then when are you ever going to be independent of it?
  • There are other platforms out there like TS, NJ, CT. Who's going to pay for your learning curve or hours for converting over?
  • How come so very few brokers support all of the above Platforms if they're more professional about handling these things?
  • Feb 3, came and went and the world didn't come to an end ... it isn't perfect but its the best thing that we've got ... no-other alternatives~!
mehrdad
11
mehrdad  

Hi sir/madam :

Unfortunately,i can't run any expert adviser in new version MetaTrader (bulid 600) please guide me